
Foreman - Bug #4787

popover click generates unused AJAX call

03/23/2014 02:00 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.8.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2282

  

Description

every click on a pop over generates an AJAX request when really not required.

Associated revisions

Revision 71b46a72 - 04/09/2015 03:48 AM - Tomer Brisker

Fixes #4787 - prevent unneeded AJAX requests on popover clicks

Revision 0a87c177 - 05/20/2015 07:10 AM - Tomer Brisker

Fixes #4787 - prevent unneeded AJAX requests on popover clicks

(cherry picked from commit 71b46a7296d01553a471833d34e3b55d0413545d)

History

#1 - 03/24/2014 08:20 AM - Dominic Cleal

Which popover is this?

#2 - 04/01/2015 08:41 AM - Tomer Brisker

- Status changed from New to Assigned

#3 - 04/01/2015 12:26 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2282 added

- Pull request deleted ()

#4 - 04/06/2015 04:26 AM - Marek Hulán

- Assignee set to Tomer Brisker

FTR, all links that displays popover with help in forms, e.g. "IP Address Management" in Subnet form.

#5 - 04/09/2015 03:50 AM - Dominic Cleal

- translation missing: en.field_release set to 50

#6 - 04/09/2015 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 71b46a7296d01553a471833d34e3b55d0413545d.
